<template>
    <div>
        <div class="content-head">
            <dataBreadcrumb :breads="breads"></dataBreadcrumb>
            <h3>查看中标候选人公示</h3>
            <h5>查看中标候选人公示</h5>
        </div>
        <div class="content">
            <div class="flex-arround" style="margin-bottom:50px">
                <div>项目编号：{{ projectCode }}</div>
                <div>项目名称：{{ projectName }}</div>
                <div>发布时间：{{ detail.createTime }}</div>
            </div>
            <div v-if="state">
              <div v-html=" detail.content "></div>
                <div class="enclosure flex-item">
                    <div style="margin-right: 30px">相关附件</div>
                    <div v-if="detail.accessoryDOList">
                        <ul>
                            <li v-for="(item, i) in detail.accessoryDOList" :key="i">
                                <a href="item.accessoryUrl">{{ item.fileName }}</a>
                            </li>
                        </ul>
                    </div>
                     <div v-else>空</div>
                </div>
            </div>
            <div v-else>{{ msg }}</div>
            <div class="centerButton">
                <el-button @click="back">返回</el-button>
            </div>
        </div>
    </div>
</template>

<script>
import { cadidate } from '@api/supply/bid';
import dataBreadcrumb from '@components/dataBreadcrumb.vue';
export default {
    components: {
        dataBreadcrumb
    },
    data() {
        return {
            breads: ['投标管理 ', '我参加的项目', '工作台'],
            projectCode: '',
            projectName: '',
            detail: '',
            msg: '',
            state: true
        };
    },
    methods: {
        back() {
            this.$router.go(-1);
        },
        async getcadidate() {
            let projectId = localStorage.getItem('projectId');
            const { data, code, msg } = await cadidate(projectId);
            if (code == 200) {
                this.detail = data;
            } else {
                this.msg = msg;
                this.state = false;
            }
        }
    },
    created() {
        this.projectCode = localStorage.getItem('projectCode');
        this.projectName = localStorage.getItem('projectName');
        this.getcadidate();
    }
};
</script>

	
<style scoped>
.content > h1 {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 40px;
    font-weight: bold;
}
.content > .img {
    width: 600px;
    margin: 0 auto;
}
.enclosure {
    margin: 20px 0;
}
</style>
